# std::shared_timed_mutex::unlock_shared

From cppreference.com
< cpp‎ | thread‎ | shared timed mutex

void unlock_shared(); |  | (since C++14)

Releases the mutex from shared ownership by the calling thread.

The mutex must be locked by the current thread of execution in shared mode, otherwise, the behavior is undefined.

This operation synchronizes-with (as defined in std::memory_order) any subsequent lock() operation that obtains ownership of the same mutex.

### Parameters

(none)

### Return value

(none)

### Exceptions

(none)

### Notes

`unlock_shared()` is usually not called directly: std::shared_lock is used to manage shared locking.

### Example

| This section is incomplete Reason: no example

### See also

lock_shared | locks the mutex for shared ownership, blocks if the mutex is not available (public member function)
unlock | unlocks the mutex (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/thread/shared_timed_mutex/unlock_shared&oldid=100900"